<?php
/**
 * The template for displaying 404 pages (not found).
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package Theme Palace
 * @subpackage Kids Education Pro
 * @since Kids Education Pro 1.0
 */

get_header(); ?>
    <section class="error-404 not-found os-animation">
        <header class="page-header os-animation" data-os-animation="fadeInUp">
         	<h1 class="page-title"><?php esc_html_e( 'Oops! That page can&rsquo;t be found.', 'kids-education-pro' ); ?></h1>
        </header><!-- .page-header -->

        <div class="page-content os-animation" data-os-animation="fadeInUp">
          <img src="<?php echo get_template_directory_uri(); ?>/assets/uploads/error404.png" alt="<?php esc_attr_e( 'Oops! That page cannot be found.', 'kids-education-pro' ); ?>">
          <p><?php esc_html_e( 'It looks like nothing was found at this location. Maybe try one of the links below or a search?', 'kids-education-pro' ); ?></p>

         <?php get_search_form(); ?>
          <a href="<?php echo esc_url( home_url('/' ) ); ?>" class="btn btn-blue"><?php esc_html_e( 'Back to Homepage!', 'kids-education-pro' ); ?></a>
        </div><!-- .page-content -->
     </section>

<?php
get_footer();