<?php
/**
 * Portfolio Customizer options
 *
 * @package Theme Palace
 * @subpackage kids education pro
 * @since Kids Education Pro 1.0
 */

// Add portfolio page template section
$wp_customize->add_section( 'kids_education_pro_portfolio_page_section', array(
	'title'             => esc_html__( 'Portfolio Page','kids-education-pro' ),
	'description'       => esc_html__( 'Portfolio page options.', 'kids-education-pro' ),
	'panel'             => 'kids_education_pro_page_template_panel'
) );

// Add portfolio category setting and control.
$wp_customize->add_setting( 'kids_education_pro_theme_options[portfolio_category]', array(
	'sanitize_callback' => 'kids_education_pro_sanitize_category_list'
) );

$wp_customize->add_control( new Kids_Education_Pro_Dropdown_Category_Control( $wp_customize, 'kids_education_pro_theme_options[portfolio_category]', array(
	'label'           => esc_html__( 'Select categories', 'kids-education-pro' ),
	'section'         => 'kids_education_pro_portfolio_page_section',
	'type'            => 'dropdown-categories',
) ) );