<?php 

/**
 * Customizer Partial Functions
 *
* @package Theme Palace
 * @subpackage Kids Education Pro
 * @since Kids Education Pro 1.0
 */

if ( !function_exists( 'kids_education_pro_customize_partial_features_title' ) ) :
	/**
	 * Render the features section title for the selective refresh partial.
	 *
	 * @since Kids Education Pro 1.0
	 *
	 * @return string
	 */
	function kids_education_pro_customize_partial_features_title() {
		$options = kids_education_pro_get_theme_options();
		return esc_html( $options['features_section_title'] );
	}
endif;

if ( !function_exists( 'kids_education_pro_customize_partial_features_subtitle' ) ) :
	/**
	 * Render the features section subtitle for the selective refresh partial.
	 *
	 * @since Kids Education Pro 1.0
	 *
	 * @return string
	 */
	function kids_education_pro_customize_partial_features_subtitle() {
		$options = kids_education_pro_get_theme_options();
		return esc_html( $options['features_section_description'] );
	}
endif;

if ( !function_exists( 'kids_education_pro_customize_partial_counter_title' ) ) :
	/**
	 * Render the counter section title for the selective refresh partial.
	 *
	 * @since Kids Education Pro 1.0
	 *
	 * @return string
	 */
	function kids_education_pro_customize_partial_counter_title() {
		$options = kids_education_pro_get_theme_options();
		return esc_html( $options['counter_section_title'] );
	}
endif;

if ( !function_exists( 'kids_education_pro_customize_partial_counter_subtitle' ) ) :
	/**
	 * Render the counter section subtitle for the selective refresh partial.
	 *
	 * @since Kids Education Pro 1.0
	 *
	 * @return string
	 */
	function kids_education_pro_customize_partial_counter_subtitle() {
		$options = kids_education_pro_get_theme_options();
		return esc_html( $options['counter_section_description'] );
	}
endif;

if ( !function_exists( 'kids_education_pro_customize_partial_gallery_title' ) ) :
	/**
	 * Render the counter section subtitle for the selective refresh partial.
	 *
	 * @since Kids Education Pro 1.0
	 *
	 * @return string
	 */
	function kids_education_pro_customize_partial_gallery_title() {
		$options = kids_education_pro_get_theme_options();
		return esc_html( $options['gallery_title'] );
	}
endif;

if ( !function_exists( 'kids_education_pro_customize_partial_gallery_description' ) ) :
	/**
	 * Render the counter section subtitle for the selective refresh partial.
	 *
	 * @since Kids Education Pro 1.0
	 *
	 * @return string
	 */
	function kids_education_pro_customize_partial_gallery_description() {
		$options = kids_education_pro_get_theme_options();
		return esc_html( $options['gallery_description'] );
	}
endif;

// Partial refresh for category blog section

if ( !function_exists( 'kids_education_pro_customize_partial_category_blog_title' ) ) :
	/**
	 * Render the counter section subtitle for the selective refresh partial.
	 *
	 * @since Kids Education Pro 1.0
	 *
	 * @return string
	 */
	function kids_education_pro_customize_partial_category_blog_title() {
		$options = kids_education_pro_get_theme_options();
		return esc_html( $options['category_blog_title'] );
	}
endif;

if ( !function_exists( 'kids_education_pro_customize_partial_category_blog_description' ) ) :
	/**
	 * Render the counter section subtitle for the selective refresh partial.
	 *
	 * @since Kids Education Pro 1.0
	 *
	 * @return string
	 */
	function kids_education_pro_customize_partial_category_blog_description() {
		$options = kids_education_pro_get_theme_options();
		return esc_html( $options['category_blog_description'] );
	}
endif;

// Partial refresh for recent section

if ( !function_exists( 'kids_education_pro_customize_partial_recent_title' ) ) :
	/**
	 * Render the recent section title for the selective refresh partial.
	 *
	 * @since Kids Education Pro 1.0
	 *
	 * @return string
	 */
	function kids_education_pro_customize_partial_recent_title() {
		$options = kids_education_pro_get_theme_options();
		return esc_html( $options['recent_title'] );
	}
endif;

if ( !function_exists( 'kids_education_pro_customize_partial_recent_description' ) ) :
	/**
	 * Render the recent section description for the selective refresh partial.
	 *
	 * @since Kids Education Pro 1.0
	 *
	 * @return string
	 */
	function kids_education_pro_customize_partial_recent_description() {
		$options = kids_education_pro_get_theme_options();
		return  strip_tags( htmlspecialchars_decode( $options['recent_description'] ) );
	}
endif;


// Partial refresh for team section

if ( !function_exists( 'kids_education_pro_customize_partial_team_title' ) ) :
	/**
	 * Render the team section title for the selective refresh partial.
	 *
	 * @since Kids Education Pro 1.0
	 *
	 * @return string
	 */
	function kids_education_pro_customize_partial_team_title() {
		$options = kids_education_pro_get_theme_options();
		return esc_html( $options['team_title'] );
	}
endif;

if ( !function_exists( 'kids_education_pro_customize_partial_team_description' ) ) :
	/**
	 * Render the team section description for the selective refresh partial.
	 *
	 * @since Kids Education Pro 1.0
	 *
	 * @return string
	 */
	function kids_education_pro_customize_partial_team_description() {
		$options = kids_education_pro_get_theme_options();
		return  strip_tags( htmlspecialchars_decode( $options['team_description'] ) );
	}
endif;