<?php
/**
* post navigation options
*
* @package Theme Palace
* @subpackage Kids Education Pro
* @since Kids Education Pro 1.0
*/

// Add post navigation section
$wp_customize->add_section( 'kids_education_pro_post_navigation', array(
	'title'               => esc_html__( 'Post Navigation','kids-education-pro' ),
	'description'         => esc_html__( 'Post navigation section options.', 'kids-education-pro' ),
	'panel'               => 'kids_education_pro_theme_options_panel'
) );

// Post navigation enable setting and control.
$wp_customize->add_setting( 'kids_education_pro_theme_options[post_navigation_enable]', array(
	'sanitize_callback'   => 'kids_education_pro_sanitize_checkbox',
	'default'             => $options['post_navigation_enable']
) );

$wp_customize->add_control( 'kids_education_pro_theme_options[post_navigation_enable]', array(
	'label'               => esc_html__( 'Post Navigation Enable', 'kids-education-pro' ),
	'section'             => 'kids_education_pro_post_navigation',
	'type'                => 'checkbox',
) );

// Post navigation title setting and control.
$wp_customize->add_setting( 'kids_education_pro_theme_options[post_navigation_type]', array(
	'sanitize_callback'   => 'kids_education_pro_sanitize_select',
	'default'             => $options['post_navigation_type']
) );

$wp_customize->add_control( 'kids_education_pro_theme_options[post_navigation_type]', array(
	'label'               => esc_html__( 'Post Navigation Type', 'kids-education-pro' ),
	'section'             => 'kids_education_pro_post_navigation',
	'type'				  => 'select', 
	'active_callback'	  => 'kids_education_pro_enable_post_navigation',
	'choices'			  => array(
		'default'    => esc_html__( 'Default', 'kids-education-pro' ),
		'post_title' => esc_html__( 'Post Title', 'kids-education-pro' )
	)
) );